server {
    listen      443 ssl http2;
    server_name password.aninix.net;

    include sec.conf;
    include default.csp.conf;
    include letsencrypt.conf;

    root /usr/share/webapps/self-service-password/htdocs/;

    # https://ltb-project.org/documentation/self-service-password/1.3/config_nginx
    index index.php index.html index.htm;

    # Disable sendfile as per https://docs.vagrantup.com/v2/synced-folders/virtualbox.html
    sendfile off;

    gzip on;
    gzip_comp_level 6;
    gzip_min_length 1000;
    gzip_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript application/javascript text/x-js;
    gzip_vary on;
    gzip_proxied any;
    gzip_disable "MSIE [1-6]\.(?!.*SV1)";

    # Add stdout logging

    #error_log /dev/stdout warn;
    #access_log /dev/stdout info;

    include ../conf.d/fastcgi.config;

    # deny access to . files, for security
    #
    location ~ /\.\. {
        log_not_found off;
        deny all;
    }

    location ~ /scripts {
        log_not_found off;
        deny all;
    }

}
